Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.s3.model
Class SetBucketLoggingConfigurationRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.s3.model.SetBucketLoggingConfigurationRequest

    public class SetBucketLoggingConfigurationRequest

extends AmazonWebServiceRequest

Options for setting the logging configuration for a bucket. The bucket logging configuration object controls whether server access logging is enabled or not for the specified bucket, and if so the destination bucket where server access logs are delivered (which may be the same bucket as the source bucket), and the optional log file prefix.

In order to deliver server access logs, the destination bucket must have log delivery write permissions. You can use the `CannedAccessControlList.LogDeliveryWrite` ACL to quickly add the correct permissions to your destination bucket, or you can modify the bucket's existing ACL to grant the `GroupGrantee.LogDelivery` group grantee the `Permission.Write` permission.

Changes to the logging status for a bucket are visible in the configuration API immediately, but they take time to actually affect the delivery of log files. For example, if you enable logging for a bucket, some requests made in the following hour might be logged, while others might not. Or, if you change the target bucket for logging from bucket A to bucket B, some logs for the next hour might continue to be delivered to bucket A, while others might be delivered to the new target bucket B. In all cases, the new settings will eventually take effect without any further action on your part.

Constructor Summary
`SetBucketLoggingConfigurationRequest(String bucketName, BucketLoggingConfiguration loggingConfiguration)`

Method Summary
`String` | `getBucketName()` Returns the name of the bucket whose logging configuration is being set.
`BucketLoggingConfiguration` | `getLoggingConfiguration()` Returns the new logging configuration for the specified bucket.
`void` | `setBucketName(String bucketName)` Sets the name of the bucket whose logging configuration is being set.
`void` | `setLoggingConfiguration(BucketLoggingConfiguration loggingConfiguration)` Sets the new logging configuration for the specified bucket.
`SetBucketLoggingConfigurationRequest` | `withBucketName(String bucketName)` Sets the name of the bucket whose logging configuration is being set , and returns the updated object so that additional method calls may be chained together.
`SetBucketLoggingConfigurationRequest` | `withLoggingConfiguration(BucketLoggingConfiguration loggingConfiguration)` Sets the new logging configuration for the specified bucket, and returns the updated object so that additional method calls may be chained together.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetBucketLoggingConfigurationRequest

    public SetBucketLoggingConfigurationRequest(String bucketName,
                                                BucketLoggingConfiguration loggingConfiguration)

Parameters:
  `bucketName` -
  `loggingConfiguration` -

Method Detail

### getBucketName

    public String getBucketName()

  Returns the name of the bucket whose logging configuration is being set.

  Returns:
    The name of the bucket whose logging configuration is being set.

### setBucketName

    public void setBucketName(String bucketName)

  Sets the name of the bucket whose logging configuration is being set.

  Parameters:
    `bucketName` - The name of the bucket whose logging configuration is being set.

### withBucketName

    public SetBucketLoggingConfigurationRequest withBucketName(String bucketName)

  Sets the name of the bucket whose logging configuration is being set , and returns the updated object so that additional method calls may be chained together.

  Parameters:
    `bucketName` - The name of the bucket whose logging configuration is being set.
  Returns:
    This SetBucketLoggingConfigurationRequest object so that additional method calls may be chained together.

### getLoggingConfiguration

    public BucketLoggingConfiguration getLoggingConfiguration()

  Returns the new logging configuration for the specified bucket.

  Returns:
    The new logging configuration for the specified bucket.

### setLoggingConfiguration

    public void setLoggingConfiguration(BucketLoggingConfiguration loggingConfiguration)

  Sets the new logging configuration for the specified bucket.

  Parameters:
    `loggingConfiguration` - The new logging configuration for the specified bucket.

### withLoggingConfiguration

    public SetBucketLoggingConfigurationRequest withLoggingConfiguration(BucketLoggingConfiguration loggingConfiguration)

  Sets the new logging configuration for the specified bucket, and returns the updated object so that additional method calls may be chained together.

  Parameters:
    `loggingConfiguration` - The new logging configuration for the specified bucket.
  Returns:
    This SetBucketLoggingConfigurationRequest object so that additional method calls may be chained together.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.